{"openapi":"3.0.4","info":{"title":"Get extrinsic instrument events out of a given corporate actions source.","description":"Retrieves extrinsic corporate actions out of a corporate actions source","version":"0.0.1"},"servers":[{"url":"https://fbn-prd.lusid.com/api"}],"paths":{"/api/corporateactionsources/{scope}/{code}/instrumentevents":{"get":{"tags":["Corporate Action Sources"],"summary":"Get extrinsic instrument events out of a given corporate actions source.","description":"Retrieves extrinsic corporate actions out of a corporate actions source","operationId":"GetInstrumentEvents","parameters":[{"name":"scope","in":"path","description":"The scope of the corporate action source.","required":true,"schema":{"maxLength":64,"minLength":1,"pattern":"^[a-zA-Z0-9\\-_]+$","type":"string"}},{"name":"code","in":"path","description":"The code of the corporate action source.","required":true,"schema":{"maxLength":64,"minLength":1,"pattern":"^[a-zA-Z0-9\\-_]+$","type":"string"}},{"name":"asAt","in":"query","description":"Optional. The AsAt date of the data.","schema":{"type":"string","format":"date-time"},"x-nullable":true},{"name":"limit","in":"query","description":"Optional. When paginating, limit the number of returned results to this many. If not specified, a default\r\nof 1000 is used.","schema":{"type":"integer","format":"int32","default":1000},"x-nullable":true},{"name":"page","in":"query","description":"Optional. The pagination token to use to continue listing items from a previous call. Page values are\r\nreturn from list calls, and must be supplied exactly as returned. Additionally, when specifying this\r\nvalue, asAt, filter and limit must not\r\nbe modified.","schema":{"maxLength":500,"minLength":1,"pattern":"^[a-zA-Z0-9\\+/]*={0,3}$","type":"string"}},{"name":"filter","in":"query","description":"Optional. Expression to filter the result set.","schema":{"maxLength":16384,"minLength":0,"pattern":"^[\\s\\S]*$","type":"string"}},{"name":"timelineScope","in":"query","description":"The scope of the Timeline, used to override the AsAt, and fetch post close activity data.\r\n            If this is provided, timelineCode and closedPeriodId must also be provided.","schema":{"maxLength":512,"minLength":1,"pattern":"^[a-zA-Z0-9\\-_]+$","type":"string"}},{"name":"timelineCode","in":"query","description":"The code of the Timeline, used to override the AsAt, and fetch post close activity data.\r\n            If this is provided, timelineScope and closedPeriodId must also be provided.","schema":{"maxLength":512,"minLength":1,"pattern":"^[a-zA-Z0-9\\-_]+$","type":"string"}},{"name":"closedPeriodId","in":"query","description":"The code of the ClosedPeriod attached to the timeline, used to override the AsAt, and fetch post close activity data.\r\n            If this is provided, timelineScope and timelineCode must also be provided.","schema":{"maxLength":512,"minLength":1,"pattern":"^[a-zA-Z0-9\\-_]+$","type":"string"}}],"responses":{"200":{"description":"Instrument Events","content":{"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/PagedResourceListOfInstrumentEventHolder"}},"text/plain":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/PagedResourceListOfInstrumentEventHolder"}},"text/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/PagedResourceListOfInstrumentEventHolder"}}}},"400":{"description":"The details of the input related failure","content":{"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}},"text/plain":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}},"text/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}}}},"default":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidProblemDetails"}}}}},"security":[{"BearerAuth":[]}],"x-fbn-apistatus":"EarlyAccess"}}},"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}}}}